Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Class ExtractionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.any23.extractor.ExtractionException

All Implemented Interfaces:
  Serializable

    public class ExtractionException

extends Exception

Defines a specific exception raised during the metadata extraction phase.

Author:
  Michele Mostarda (michele.mostarda@gmail.com)
See Also:
  Serialized Form

Constructor Summary
`ExtractionException(String message)`
`ExtractionException(String message, Throwable cause)`
`ExtractionException(String message, Throwable cause, ExtractionResult er)`

Method Summary
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtractionException

    public ExtractionException(String message)

### ExtractionException

    public ExtractionException(String message,
                               Throwable cause)

### ExtractionException

    public ExtractionException(String message,
                               Throwable cause,
                               ExtractionResult er)

Method Detail

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.